//////////////////////////////////
// Argument Constants and Stuff //
//////////////////////////////////

///////////////////////////////////////////
// Multiple-inclusion protection - BEGIN //
///////////////////////////////////////////
#ifndef  __ArgumentConstants_H__
#define  __ArgumentConstants_H__

////////////////////
// Argument Count //
////////////////////
typedef	enum
{
	argIdxExe = 0,
	argIdxXax,
	argIdxYax,
	argIdxZax,
	argIdxRot,
	argIdxXmv,
	argIdxYmv,
	argIdxZmv,
	argIdxJbeam,
	argIdxDae,
	argCount
}
ArgIdxEnum;
/*
* Arguments will be as follows:
*
* Index	Description
* ----- ---------------------------
* 0		Executable name
* 1		X-axis rotation, in degrees
* 2		Y-axis rotation, in degrees
* 3		Z-axis rotation, in degrees
* 4		Rotation order
* 5		X translation (meters?)
* 6		Y translation (meters?)
* 7		Z translation (meters?)
* 8		Name of JBEAM file
* 9		Name of DAE file
*/

/////////////////////
// Rotation Orders //
/////////////////////
#define	rotordCount 6
extern const char* const rotords[];

/////////////////////////////////////////
// Multiple-inclusion protection - END //
/////////////////////////////////////////
#endif //__ArgumentConstants_H__
