////////////////////////////
// File Name Manipulation //
////////////////////////////

///////////////////////////////////////////
// Multiple-inclusion protection - BEGIN //
///////////////////////////////////////////
#ifndef  __FileNames_H__
#define  __FileNames_H__

/////////////////////////////
// Destination File Suffix //
/////////////////////////////
#define		sDstSuffix		("_Xfrmd")

///////////////////////////////
// Get Destination File Name //
///////////////////////////////
extern int			GetDestFileName(
const char* const	sSrcFile,
char* const			sDstFile);

//////////////////////////////
// Case-insensitive strncmp //
//////////////////////////////
extern int			cistrncmp(
const char* const	buf,
const char* const	trgt,
int					cnt);

/////////////////////////////
// Case-insensitive strcmp //
/////////////////////////////
extern int			cistrcmp(
const char* const	buf,
const char* const	trgt);

//////////////////////////////
// Case-insensitive strnstr //
//////////////////////////////
extern int			cistrnstr(
const char* const	buf,
const char* const	trgt,
int					cnt);

/////////////////////////////
// Case-insensitive strstr //
/////////////////////////////
extern int			cistrstr(
const char* const	buf,
const char* const	trgt);

/////////////////////////////////////
// Concatonate character to string //
/////////////////////////////////////
extern void			strcatc(
char* const			buf,
char				c);

////////////////////////////////////
// Count chars of particular type //
////////////////////////////////////
extern int			charCount(
const char* const	sChars,
char				c);

////////////////////////
// Put string in file //
////////////////////////
extern int			StrFile(
FILE* const			fDst,
const char* const	str);

//////////////////////
// Put char in file //
//////////////////////
extern int			CharFile(
FILE* const			fDst,
const char			c);

/////////////////////////////////////////
// Multiple-inclusion protection - END //
/////////////////////////////////////////
#endif //__FileNames_H__
